# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Text-LevenshteinXS
Version:        0.03
Release:        alt2_16
Summary:        XS implementation of the Levenshtein edit distance
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Text-LevenshteinXS/
Source0:        http://www.cpan.org/authors/id/J/JG/JGOLDBERG/Text-LevenshteinXS-%{version}.tar.gz
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
Source44: import.info

%description
This module implements the Levenshtein edit distance in a XS way.

%prep
%setup -q -n Text-LevenshteinXS-%{version}

%{__perl} -pi -e 's/\r\n/\n/g' Changes README

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Text*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt2_16
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.03-alt2_15
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_15
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_13
- fc import

